Subject: Re: driver for et131x?

From: "Manfred Schwarb" <[email-masked]>
Date: Sun, 06 Jan 2008 00:35:36 +0100

> The driver that is available is NOT open souce. It was released under the
> BSD license.
> I tried getting Agere to release under the GPL, but the main dev there
> (Victor) said that it wasn't happening and that we'd have to use it the
> way
> it is.
> 

As far as I know (IANAL), a BSD Licence is open source. In fact, it 
is more liberal than GPL. I think it means you can do whatever you
want, you only have to retain the copyright notice. It is even possible
to fork the code and change the licence to GPL. In fact such things
have already been done in linux. There exists also numerous code in linux
which is dual-licenced under BSD and GPL (which means you can choose one
or the other at your will).

I don't know how the linux community would like to handle things, but
I think it should be possible somehow.

Regards,
Manfred

> On Jan 4, 2008 4:02 AM, Manfred Schwarb <[email-masked]> wrote:
> 
> > [ next try, first attempt was blocked because of an '@' in 'X-Sender:'
> > line? ]
> >
> >
> > Hi,
> >
> > meanwhile the Agere et1310 chip has grown to a quite popular network
> > chip, in laptops as well as for PCI-E cards. The release date of this
> chip
> > was
> > already in June 2004, and still no support in mainline linux.
> >
> > There is apparently an opensource driver from Agere which is maintained
> by
> > volunteers at http://sourceforge.net/projects/et131x/
> >
> > It seems some distros (e.g. Ubuntu) even patch their kernels with this
> > driver.
> >
> > Please consider adding support for this chip in mainline linux.
> >
> > Thanks a lot!
> > Manfred
> >
> >
> > see also:
> > http://lkml.org/lkml/2006/7/3/123
> > http://dadams1969.googlepages.com/et131xkernelmodule
> >

-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail